package com.neusoft.smart.pos.printer.persistent.mapper;

import com.neusoft.smart.pos.printer.persistent.domain.PrinterRule;
import com.neusoft.smart.pos.printer.persistent.domain.PrinterRuleExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PrinterRuleMapper {
    int countByExample(PrinterRuleExample example);

    int deleteByExample(PrinterRuleExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PrinterRule record);

    int insertSelective(PrinterRule record);

    List<PrinterRule> selectByExample(PrinterRuleExample example);

    PrinterRule selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") PrinterRule record, @Param("example") PrinterRuleExample example);

    int updateByExample(@Param("record") PrinterRule record, @Param("example") PrinterRuleExample example);

    int updateByPrimaryKeySelective(PrinterRule record);

    int updateByPrimaryKey(PrinterRule record);

    void batchInsert(@Param("items") List<PrinterRule> items);
}